﻿// IPresto.cs
//
// PRESTO Starter Kit for Microsoft .NET 3.0
// 2007 Microsoft France
// Published under the CECILL-B Free Software license agreement.
// (http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.txt)
// 
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
// WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE. 
// THE ENTIRE RISK OF USE OR RESULTS IN CONNECTION WITH THE USE OF THIS CODE 
// AND INFORMATION REMAINS WITH THE USER. 
//

using System.Runtime.Serialization;
using System.ServiceModel.Channels;
using System.ServiceModel;
using System.Xml.Serialization;

[assembly: ContractNamespaceAttribute("http://dgme.finances.gouv.fr/presto", ClrNamespace = "dgme.finances.gouv.fr.presto")]
namespace dgme.finances.gouv.fr.presto
{
    [XmlTypeAttribute(AnonymousType = true)]
    public partial class submit
    {
        private allData testDocInField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://dgme.finances.gouv.fr/prototype", Order = 0)]
        public allData testDocIn
        {
            get
            {
                return this.testDocInField;
            }
            set
            {
                this.testDocInField = value;
            }
        }
    }

    [XmlTypeAttribute(AnonymousType = true)]
    public partial class submit1Way
    {

        private allData testDocInField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://dgme.finances.gouv.fr/prototype", Order = 0)]
        public allData testDocIn
        {
            get
            {
                return this.testDocInField;
            }
            set
            {
                this.testDocInField = value;
            }
        }
    }

    [XmlTypeAttribute(AnonymousType = true)]
    public partial class submitResponse
    {
        private allData testDocOutField;
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "http://dgme.finances.gouv.fr/prototype", Order = 0)]
        public allData testDocOut
        {
            get
            {
                return this.testDocOutField;
            }
            set
            {
                this.testDocOutField = value;
            }
        }
    }

    [MessageContractAttribute(IsWrapped = false)]
    public partial class submitRequestMessage
    {
        [MessageBodyMemberAttribute(Namespace = "http://dgme.finances.gouv.fr/presto", Order = 0)]
        public submit submit;
    }

    [MessageContractAttribute(IsWrapped = false)]
    public partial class submit1WayMessage
    {
        [MessageBodyMemberAttribute(Namespace = "http://dgme.finances.gouv.fr/presto", Order = 0)]
        public submit1Way submitOneWay;
    }

    [MessageContractAttribute(IsWrapped = false)]
    public partial class submitResponseMessage
    {
        [MessageBodyMemberAttribute(Namespace = "http://dgme.finances.gouv.fr/presto", Order = 0)]
        public submitResponse submitResponse;
    }
}